Last Comment Bug 309822 - Scroll wheel doesn't scroll list boxes [Mac]
: Scroll wheel doesn't scroll list boxes [Mac]
Status: RESOLVED FIXED
[branch only]
: fixed1.8, regression
Product: Core Graveyard
Classification: Graveyard
Component: Widget: Mac (show other bugs)
: 1.8 Branch
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Mark Mentovai
:
Mentors:
https://bugzilla.mozilla.org/query.cgi
Depends on:
Blocks: 255415
  Show dependency treegraph
 
Reported: 2005-09-23 16:33 PDT by Mark Mentovai
Modified: 2009-11-21 15:09 PST (History)
2 users (show)
mconnor: blocking1.8b5+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix, use event.point instead of event.refPoint (branch only) (1.43 KB, patch)
2005-09-23 17:00 PDT, Mark Mentovai
asaf: review+
sfraser_bugs: superreview+
asa: approval1.8b5+
Details | Diff | Review

Description Mark Mentovai 2005-09-23 16:33:21 PDT
Since the patch for bug 255415/bug 171680 was checked in, rolling a mouse wheel
while the cursor is over an html list box causes the document to scroll.  The
list box should scroll.  This also occurs in ChatZilla.  If the wheel is spun
over a scrollbar, the widget scrolls properly.

This is most likely a result of using FindWidgetHit to locate the widget to
scroll instead of gEventDispatchHandler.GetWidgetPointed().
Comment 1 Mark Mentovai 2005-09-23 16:34:14 PDT
The Bugzilla search page is a good test case.
Comment 2 Mark Mentovai 2005-09-23 16:57:24 PDT
We don't see this on the trunk.  I bet that it was event.point vs.
event.refPoint, and I was right.
Comment 3 Mark Mentovai 2005-09-23 17:00:03 PDT
Created attachment 197226 [details] [diff] [review]
Fix, use event.point instead of event.refPoint (branch only)

This was my error, I hadn't accounted for the differences caused by bug 296036
between the trunk and the branch.
Comment 4 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-09-23 20:08:50 PDT
Comment on attachment 197226 [details] [diff] [review]
Fix, use event.point instead of event.refPoint (branch only)

r=mano.
Comment 5 Mike Connor [:mconnor] 2005-09-26 14:15:30 PDT
Comment on attachment 197226 [details] [diff] [review]
Fix, use event.point instead of event.refPoint (branch only)

Mark, can you get an SR from someone appropriate first please?
Comment 6 Mark Mentovai 2005-09-27 11:56:44 PDT
Fixed

Note You need to log in before you can comment on or make changes to this bug.